Skip to main content
GET
Get lightweight run status

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

runId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$

Response

Status

id
string
required
job_id
string
required
state
enum<string>
required
Available options:
queued,
starting,
running,
blocked,
stopping,
succeeded,
failed,
stopped
run_name
string
required
job_name
string
required
destination_url
string | null
required
created_at
string
required
updated_at
string
required
started_at
string | null
required
artifact_state
enum<string>
required
Available options:
pending,
collecting,
stored,
partial,
failed
finalizing
boolean
required
trace_revision
string
required